### Function

# Dex mkdir_with_parents

since: 1.1

#### Declaration [src]

    DexFuture*
    dex_mkdir_with_parents (
      const char* path,
      int mode
    )

#### Description [src]

Similar to `g_mkdir_with_parents()` but runs on a dedicated thread.

Available since: 1.1

#### Parameters

`path`

  Type: `const char*`

  A path to a directory to create.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`mode`

  Type: `int`

  The mode for the directory such as `0750`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to 0 if successful, otherwise rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.